commit:     492a1f75e6c9589897d5f3ff589edf98bd452d96
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Wed Nov 18 18:57:37 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Nov 18 18:57:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=492a1f75

dev-python/xdoctest: bump to 0.15.0, add py3_9, fix tests

Closes: https://bugs.gentoo.org/738486
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-python/xdoctest/Manifest               |  1 +
 dev-python/xdoctest/xdoctest-0.15.0.ebuild | 40 ++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/xdoctest/Manifest b/dev-python/xdoctest/Manifest
index b2f56e769ef..9dbf8a8dd74 100644
--- a/dev-python/xdoctest/Manifest
+++ b/dev-python/xdoctest/Manifest
@@ -1 +1,2 @@
 DIST xdoctest-0.11.0.tar.gz 123871 BLAKE2B 
ef766ae79b1566a243abbb31671a6e57184196079cda146081c73cf4aa2583b612b438ea8ff031a1c3d4da612034bccb1990a954ad4d2af55546edd7f7085238
 SHA512 
63629435e976d2ece770b13432f1857127e7d9c9c954e11e904c1f25b1a9e82d5cf99ff912656260f6c4ed8b08e27ab0fb2d39e621d94ccac9c797fc294bcc62
+DIST xdoctest-0.15.0.tar.gz 629125 BLAKE2B 
f5144365c4d1d58c107ac0603a1d99cd5bc622d3772fc7f2c907193ea863d9ff99bd183cc7fac12e2f85b7647ba25d5ae6878c06d3df9a5cdda9a1f143b43110
 SHA512 
114add93a75807d787c674b0649f92ff011987705f640912f876c4a4c3103cef90b0fae1959d5a85ef399b80695e9cbfcae6e809950ff5651fa211f54326682d

diff --git a/dev-python/xdoctest/xdoctest-0.15.0.ebuild 
b/dev-python/xdoctest/xdoctest-0.15.0.ebuild
new file mode 100644
index 00000000000..28bec16bbff
--- /dev/null
+++ b/dev-python/xdoctest/xdoctest-0.15.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="A rewrite of Python's builtin doctest module but without all the 
weirdness"
+HOMEPAGE="https://github.com/Erotemic/xdoctest";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source dev-python/sphinx_rtd_theme
+
+python_prepare_all() {
+       # fails because the ebuild environment location is not the expected 
location
+       sed -i -e 's:test_xdoc_console_script_location:_&:' \
+               testing/test_entry_point.py || die
+
+       # xdoctest has to be in PATH for this to work
+       sed -i -e 's:test_xdoc_console_script_exec:_&:' \
+               testing/test_entry_point.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       PYTHONPATH="${WORKDIR}/${P}"
+       pytest -vv || die "Test fail with ${EPYTHON}"
+}

Reply via email to